#(c) 2004-2008 Thunderstone Media, LLC
#Creative Commons Attribution-Noncommercial 3.0 United States License
#
#Python Developyment By:
#
#Ray Slakinski
#August Trometer

import iPXSettings
from iPXTools import *

iPXSettings.progName = 'iPodderX'
for arg in sys.argv:
	if re.search('-progName', arg, re.IGNORECASE):
		progNameSplit = arg.split('==')
		iPXSettings.progName = progNameSplit[len(progNameSplit)-1]
iPXSettings.initSettings()

def usage():
	print '\r\nUsage: none really... It just swaps two files'
	#print '\r\nUsage:\r\n%s -d <textToDecrypt>\r\n%s -e <textToEncrypt>\r\n' % (sys.argv[0],sys.argv[0])

try:
	if sys.argv[1] == '-d':
		print decrypt(sys.argv[2].strip())
	elif sys.argv[1] == '-e':
		print encrypt(sys.argv[2].strip())
	else:
		usage()
except Exception, msg:
	print msg
	usage()